Bug 1130185 - Review Request: python-icontrol - Library for F5 iControl API
Summary: Review Request: python-icontrol - Library for F5 iControl API
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 13:59 UTC by Daniel Bruno
Modified: 2017-03-11 18:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-11 18:07:28 UTC


Attachments (Terms of Use)

Description Daniel Bruno 2014-08-14 13:59:04 UTC
Spec URL: https://dbruno.fedorapeople.org/python-icontrol/python-icontrol.spec
SRPM URL: https://dbruno.fedorapeople.org/python-icontrol/python-icontrol-2.1-1.fc20.src.rpm
Description: pyControl is a Python-based library that integrates with F5's BIG-IP
iControl management API.
Fedora Account System Username: dbruno

Comment 1 Eduardo Mayorga 2014-08-28 22:54:10 UTC
- Remove egg-info directory in %prep.

- These are obsolete:
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%clean
rm -rf %{buildroot}

and there's no need to add rm -rf %{buildroot} in %install

- You must include a license text in %doc. Since this project seems not to be maintained, it will be tricky to get this mistake corrected. For now, please add a copy of the text of the GPL. Something like Source1: COPYING would be fine.

- Change the name to python-pycontrol, since it's the name used by upstream and the actual module name used to import it in a script


Note You need to log in before you can comment on or make changes to this bug.